Agent Governance Protocol
API ReferenceDecision APICommerce

Create commerce session

POST
/agp/commerce-sessions

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.decision.read, agp.decision.write

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agp/commerce-sessions" \  -H "Content-Type: application/json" \  -d '{    "type": "CommerceSession",    "commerce_session_id": "string",    "task_id": "string",    "ucp_session_ref": "string",    "merchant_id": "string",    "cart_hash": "string",    "status": "initialized",    "capability_token_ref": "string",    "liability_binding_ref": "string",    "created_at": "2019-08-24T14:15:22Z"  }'
{  "type": "CommerceSession",  "commerce_session_id": "string",  "task_id": "string",  "ucp_session_ref": "string",  "merchant_id": "string",  "cart_hash": "string",  "status": "initialized",  "capability_token_ref": "string",  "liability_binding_ref": "string",  "created_at": "2019-08-24T14:15:22Z",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}